using System.Text.Json.Serialization;

namespace CloudGaming.DtoModel.JY
{
    /// <summary>
    /// 
    /// </summary>
    public class JYRequestParameter
    {
        public JYRequestParameter() { }

        public JYRequestParameter(string sn, string clientSid)
        {
            this.Sn = sn;
            this.ClientSid = clientSid;
        }
        public JYRequestParameter(string sn, int userId)
        {
            this.Sn = sn;
            this.ClientSid = userId.ToString();
        }
        /// <summary>
        /// 设备 id，避免同个设备对应多个 id，同时避免同个 id 对应多个设备
        /// </summary>
        [JsonPropertyName("sn")]
        public string Sn { get; set; }

        /// <summary>
        /// 用户标识
        /// </summary>
        [JsonPropertyName("client_sid")]
        public string ClientSid { get; set; }

        /// <summary>
        /// 用户 ip 地址
        /// </summary>
        [JsonPropertyName("ip")]
        public string Ip { get; set; }


    }
}
